| Home | Libraries | People | FAQ | More

#### Relationships Between Two Types

These templates determine the whether there is a relationship between two types:

Synopsis:

    template <class Base, class Derived>
    struct is_base_of;

    template <class Base, class Derived>
    struct is_virtual_base_of;

    template <class From, class To>
    struct is_convertible;

    template <class T, class U>
    struct is_same;